HomeCLC FAQ - CLC Genomics Server and Command Line ToolsCLC Genomics ServerCan I downgrade my CLC Server software?

2.7. Can I downgrade my CLC Server software?

General recommendation

It is not something that is generally done, but you can downgrade your CLC Server software to an earlier version than the one you are currently running.

While we fully support upgrading of software in place, we do not commit to being able to downgrade in place. While it will often be "just work", but we do not guarantee it. We also do not guarantee that data and workflows generated in a newer version of the Genomics Server or the corresponding Genomics Workbench will be usable in older versions of the software.

To downgrade a CLC Server, we recommend installing to a new location and re-configuring the software in that new location. If you wish to avoid making changes to your CLC Server service script, then you could move the old installation and then move the new installation to the original location. Alternatively, edit your service script to indicate which copy of the CLC Server should be started up when the service is started.

 

Known downgrading issues

Downgrading from the CLC Genomics Server version 10.0.1 to 9.1.x

On March 14, 20018, version 10.0.1 of the CLC Genomics Server is released. If you upgrade to this version, but later choose to downgrade to version 9.1.x, you can either:

  • Install to a new location and reconfigure the Genomics Server, as described above

    OR

  • Before installing the old version of the Genomics Server, delete the file:

    conf/server.xml

    from within the installation area of the Server software.  Then install the later version of the Server software in place.
     

Please be informed that this applies only for the supported Linux distributions (system requirements). For any other distribution we do not expect issues with this approach but we can not guarantee it.

 

Since for Windows, there can be only one "CLCGenomicsServer" service running at a time, the only way to downgrade is to uninstall the higher version first, then install the previous version of the CLC Genomics Server.

Knowledge Tags

Related Pages
This page was: Helpful | Not Helpful